import json
import string
import numpy as np

text = "Πρέπει να διδαχθούν οι μαθητές να ανταγωνίζονται ή να συνεργάζονται; Λέγεται πάντα ότι ο ανταγωνισμός μπορεί να προωθήσει αποτελεσματικά την ανάπτυξη της οικονομίας. Προκειμένου να επιβιώσουν στον ανταγωνισμό, οι εταιρείες συνεχίζουν να βελτιώνουν τα προϊόντα και τις υπηρεσίες τους, και ως αποτέλεσμα, ολόκληρη η κοινωνία ευδοκιμεί. Ωστόσο, όταν συζητάμε για το θέμα του ανταγωνισμού ή της συνεργασίας, αυτό που μας απασχολεί δεν είναι ολόκληρη η κοινωνία, αλλά η ανάπτυξη ολόκληρης της ζωής ενός ατόμου. Από αυτήν την άποψη, πιστεύω ακράδαντα ότι πρέπει να προσδώσουμε μεγαλύτερη σημασία στη συνεργασία κατά την πρωτοβάθμια εκπαίδευση. Πρώτα απ &#39;όλα, μέσω της συνεργασίας, τα παιδιά μπορούν να μάθουν για διαπροσωπικές δεξιότητες που είναι σημαντικές στη μελλοντική ζωή όλων των μαθητών. Αυτό που αποκτήσαμε από την ομαδική εργασία δεν είναι μόνο πώς να επιτύχουμε τον ίδιο στόχο με τους άλλους, αλλά το πιο σημαντικό, πώς να ταιριάξουμε με τους άλλους. Κατά τη διάρκεια της διαδικασίας συνεργασίας, τα παιδιά μπορούν να μάθουν πώς να ακούνε τις απόψεις των άλλων, πώς να επικοινωνούν με άλλους, πώς να σκέφτονται συνολικά, και ακόμη και πώς να συμβιβαστούν με άλλα μέλη της ομάδας όταν συνέβησαν συγκρούσεις. Όλες αυτές οι δεξιότητες τους βοηθούν να πάνε καλά με άλλους ανθρώπους και θα τους ωφελήσουν για όλη τη ζωή. Από την άλλη πλευρά, η σημασία του ανταγωνισμού είναι ότι πώς να γίνετε πιο αριστεία για να κερδίσετε τη νίκη. Ως εκ τούτου, λέγεται πάντα ότι ο ανταγωνισμός καθιστά την κοινωνία πιο αποτελεσματική. Ωστόσο, όταν εξετάζουμε το ερώτημα ότι πώς να κερδίσουμε το παιχνίδι, βρίσκουμε πάντα ότι χρειαζόμαστε τη συνεργασία. Όσο μεγαλύτερος είναι ο στόχος μας, τόσο περισσότερος ανταγωνισμός χρειαζόμαστε. Πάρτε τους Ολυμπιακούς αγώνες που είναι μια μορφή ανταγωνισμού, για παράδειγμα, είναι δύσκολο να φανταστείτε πώς ένας αθλητής θα μπορούσε να κερδίσει το παιχνίδι χωρίς την εκπαίδευση του προπονητή του και τη βοήθεια άλλων επαγγελματικών στελεχών όπως οι άνθρωποι που φροντίζουν τη διατροφή του , και εκείνοι που είναι υπεύθυνοι για την ιατρική περίθαλψη. Ο νικητής είναι ο αθλητής, αλλά η επιτυχία ανήκει σε ολόκληρη την ομάδα. Επομένως, χωρίς τη συνεργασία, δεν θα υπήρχε νίκη του ανταγωνισμού. Κατά συνέπεια, ανεξάρτητα από την άποψη της ατομικής ανάπτυξης ή της σχέσης μεταξύ ανταγωνισμού και συνεργασίας, μπορούμε να λάβουμε το ίδιο συμπέρασμα ότι μια πιο συνεργατική στάση απέναντι στη ζωή είναι πιο κερδοφόρα στην επιτυχία κάποιου."

text_marking = text

with open("essay001_translated.json") as f:
    segs = json.load(f)

labels, tokens, indexes = [], [], []

repl_char = "="
if repl_char in text:
    print("Whops")
    exit(1)

for dat in segs["annotations"]["ADUs"]:
    seg = dat["segment"]
    print(seg)

    # do segment-level preproc & annotation (splitting, B-I annot, etc...)
    # labels.append(...)
    # tokens.append(...)

    # handle positioning and order:
    # replace seg position in the orig text with dummy characters

    # store the relative position of the segment
    idx = text.index(seg)
    indexes.append(idx)
    text_marking = text_marking.replace(seg, repl_char * len(seg))
    print(text_marking)

remainders = [x.strip() for x in text_marking.split(repl_char)]
# drop zero-length remainders or punctuation-only
remainders = [x for x in text_marking.split(repl_char) if len(x) > 0]
punct = str.maketrans('', '', string.punctuation)
remainders = [x for x in text_marking.split(repl_char) if len(x.translate(punct)) > 0]
# also do 
for rem in remainders:
    print(rem)
    idx = text.index(rem)
    # annotate O 
    # do segment-level preproc & annotation (splitting, B-I annot, etc...)
    # labels.append(...)
    # tokens.append(...)
    indexes.append(idx)

print(indexes)
# annotation done -- reorder
ix = np.argsort(indexes)

reordered_tokens = []
# reorder the actual data
for i in ix:
    reordered_tokens.append(tokens(i))
    # ...


